"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createDomains = void 0;
const route53 = require("@aws-cdk/aws-route53");
function createDomains(stack, props) {
    var _a, _b;
    const refZones = ((_a = props.refDomains) === null || _a === void 0 ? void 0 : _a.map((d) => route53.PublicHostedZone.fromLookup(stack, `ref-${d.split('.').join('-')}`, {
        domainName: d,
    }))) || [];
    const newDomains = ((_b = props.newDomains) === null || _b === void 0 ? void 0 : _b.map((d) => new route53.PublicHostedZone(stack, d.split('.').join('-'), {
        zoneName: d,
    }))) || [];
    return refZones.concat(newDomains);
}
exports.createDomains = createDomains;
//# sourceMappingURL=create-domains.js.map